Ruby2.3.1でrails_newでエラーと、Rails3.0.5でクイズアプリ

(環境)
Windows8.1
VirtualBox, Vagrant, Ruby2.3.1, Rails5.0.0.1
VisualStudioCode, PuTTY
ホストOS:C:/vm/rails5/ <=> ゲストOS:/vagrant/

それまで普通にrails new xxxx できていたのに、いきなりエラー。

http://stackoverflow.com/questions/39943420/rails-load-cannot-load-such-file-rails-when-trying-to-create-a-new-project

みたいな感じ。

Ruby2.3.1をあきらめ、Ruby2.2.5をインストール

rbenv install -v 2.2.5

rbenvでrubyのバージョン管理をする
RubyRuby11591rbenvrbenv405rvmrvm92homebrewhomebrew838
MasahiroSakodaが2014/07/27にKobitoから投稿(2014/07/27に編集)
http://qiita.com/MasahiroSakoda/items/b66f92df80b375f7c786

突然ですが、以下のクイズアプリ(Rails 3.0.5)(2015年末から始めたから、Rails3なんて一度も触ったことないよー!)を、どうしても試したくなったので、トライしてみる!

https://github.com/limitedmage/railsquiz

image

rbenv versions
rbenv install -l
rbenv install -v 1.9.3p551

ものすごく時間がかかる

rbenv rehash
rbenv local 1.9.3p551
gem install rails –version=3.0.5

時間はかかる

bundle install
rails s -b 0.0.0.0

image

ホストOSで、

localhost:3000/quiz でクイズ

localhost:3000/questions で、クイズの問題を作成

image image

image image

image image

image

これです!まさにこんな感じの4択問題が作りたかったのです!

このクイズの環境は、以下のようになった。

(環境)
Windows8.1
VirtualBox, Vagrant, Ruby1.9.3p551, Rails3.0.5
VisualStudioCode, PuTTY
ホストOS:C:/vm/rails5/ <=> ゲストOS:/vagrant/

関連記事
Count per Day
    Popular Posts
    スポンサーリンク

    シェアする

    • このエントリーをはてなブックマークに追加

    フォローする